# ControllerView (Javadocs: controlP5)
Date: 2014-04-27

controlP5

## Interface ControllerView<T>

All Known Implementing Classes:
  Chart.ChartViewArea, Chart.ChartViewBar, Chart.ChartViewBarCentered, Chart.ChartViewLine, Chart.ChartViewPie, ScrollableList.ScrollableListView

    public interface ControllerView<T>

The interface ControllerView can be used to define custom displays for controllers.

See Also:
  `controlP5.draw(processing.core.PApplet)`, `controlP5.setView(ControlleView)`

### Method Summary

Methods
`void` `display(processing.core.PGraphics theGraphics, T theController)` draws your custom controllers.

### Method Detail

#### display

    void display(processing.core.PGraphics theGraphics,
               T theController)

draws your custom controllers. display() will be called by a controller's draw() function and will pass a reference of PApplet as well as the Controller itself to your custom display class.

Parameters:
  `theApplet` -
  `theController` -